Name:           csvdiff
Version:        0.3.0
Release:        5%{?dist}
Summary:        Generate a diff between two CSV files on the command-line

License:        BSD
URL:            https://github.com/larsyencken/csvdiff
Source0:        https://pypi.python.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.1

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-PyYAML
Requires:       python3-PyYAML
Requires:       python3-jsonschema
Requires:       python3-click
Requires:       python3-libs

%description
Generate a diff between two CSV files on the command-line.

%prep
%autosetup

#Remove shebang
find %{_builddir}/%{name}-%{version} -name '*.py' \
    -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} \;

%build
%py3_build

%install
%py3_install
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/csvdiff.1

%check
#%{__python3} setup.py test

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst  
%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info
%{_mandir}/man1/*

%changelog
* Thu Feb 25 2016 William Moreno <williamjmorenor@gmail.com> - 0.3.0-5
- Update Requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Sep 11 2015 William Moreno <williamjmorenor@gmail.com> - 0.3.0-2
- Disable %%test

* Fri Sep 11 2015 William Moreno < williamjmorenor@gmail.com> - 0.3.0-1
- Update to v.0.3.0
- Include manpage
- Update python macros

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 02 2015 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.1.0-4
- Fix %%Requires

* Mon Dec 29 2014 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.1.0-3
- Clean Requires and BuildRequires
- Define %%test to 0 

* Sat Dec 27 2014 William Jose Moreno Reyes <williamjmorenor at gmail.com> - 0.1.0-2
- Fix shebang in %%{_bindir}
- Build using Python3

* Sun Dec 7 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.1.0-1
- Inicial packaging
